---
title: llarp::win32::error

---

# llarp::win32::error





Inherits from std::runtime_error

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[error](Classes/classllarp_1_1win32_1_1error.md#function-error)**(std::string msg) |
| virtual | **[~error](Classes/classllarp_1_1win32_1_1error.md#function-~error)**() =default |
| | **[error](Classes/classllarp_1_1win32_1_1error.md#function-error)**(DWORD err, std::string msg) |

## Public Functions Documentation

### function error

```cpp
explicit error(
    std::string msg
)
```


### function ~error

```cpp
virtual ~error() =default
```


### function error

```cpp
explicit error(
    DWORD err,
    std::string msg
)
```


-------------------------------

Updated on 2024-11-10 at 05:10:02 +0000